Loading...
Searching...
No Matches
Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode Class Reference

## Public Member Functions

| NetworkNode (Abc::ICompoundProperty iCompound)
| NetworkNode (Abc::ICompoundProperty iParent, const std::string &iNodeName)
bool | valid ()
std::string | getName ()
bool | getTarget (std::string &oResult)
bool | getNodeType (std::string &oResult)
Abc::ICompoundProperty | getParameters ()
size_t | getNumConnections ()
bool | getConnection (size_t iIndex, std::string &oInputName, std::string &oConnectedNodeName, std::string &oConnectedOutputName)
bool | getConnection (const std::string &iInputName, std::string &oConnectedNodeName, std::string &oConnectedOutputName)

The documentation for this class was generated from the following files:

- AbcMaterial/IMaterial.h
- AbcMaterial/IMaterial.cpp